Bug Hunting Session
Bug 56907 - FORMATTING: TOC dot leaders should be aligned and spaced evenly (like LaTeX)
Summary: FORMATTING: TOC dot leaders should be aligned and spaced evenly (like LaTeX)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: TableofContents-Indexes
  Show dependency treegraph
 
Reported: 2012-11-09 06:50 UTC by Ákos Szabó
Modified: 2017-09-16 22:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
tipographycally better toc formatting (18.26 KB, image/png)
2012-11-09 06:50 UTC, Ákos Szabó
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ákos Szabó 2012-11-09 06:50:20 UTC
Created attachment 69787 [details]
tipographycally better toc formatting

In LaTeX table of contents, the tabulator fill characters are aligned in each row, and there is a big space between them. This is tipographically much better than the dense dotted version of LibreOffice. There is a spacing option in the character styles in LO, but the fill is unaffected by this option.
Comment 1 Joel Madero 2013-11-18 22:40:08 UTC
Thank you for reporting this enhancement request! I can confirm that this is a valid enhancement request on:
Version: 4.2.0.0.alpha0+Build ID: 09a4c4d176ff97ab8ff4027af83a549991667baf
Date:   Tue Jul 30 19:05:34 2013 +0300 
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
As I've been able to confirm the enhancement request I am marking as:

New (confirmed)
Enhancement
Low - aesthetic only really

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 Owen Genat (retired) 2014-01-23 10:28:12 UTC
Summary edited for clarity. These characters are commonly referred to as dot leaders.
Comment 3 Commit Notification 2016-09-16 09:17:33 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0f433fb2f51953296e3050392e827dadfd19b22f

tdf#56907 extend dot leader character list in ToC for typography

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-07-14 13:29:16 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 5 Cor Nouws 2017-08-11 14:33:42 UTC
(In reply to Xisco Faulí from comment #4)
> Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED

Don't think so - see no difference between 5.2.0 and current master.
@László what is your take?